/* 
master file reproducing all figures for ADDR 2021
*/

* set color scheme
ssc install blindschemes, replace all
set scheme plottigblind

* chagne directory to database folder
gl datapath ""
* insert output path 
gl outpath ""
* change directory to dofile folder
cd ".../do/figures"

*---------------------------------------------------------------------------------*
							* MAIN FIGURES * 
*---------------------------------------------------------------------------------*

*---------------------------------------------------------------------------------*
* Figure (2): Bin Scatter first-stage
*---------------------------------------------------------------------------------*
run "fig2.do"

*---------------------------------------------------------------------------------*
* Figure (3): Falsification tests
*---------------------------------------------------------------------------------*
run "fig3.do"

*---------------------------------------------------------------------------------*
* Figure (4): Bin Scatter outcome variables
*---------------------------------------------------------------------------------*
run "fig4.do"

*---------------------------------------------------------------------------------*
* Figure (5): Reduced form estimates across full sample and never taker samples 
*---------------------------------------------------------------------------------*
run "fig5.do"

*---------------------------------------------------------------------------------*
* Figure (6): Reduced form estimates across full sample and never taker samples 
*---------------------------------------------------------------------------------*
run "fig6.do"

*---------------------------------------------------------------------------------*
							* APPENDIX FIGURES * 
*---------------------------------------------------------------------------------*

*---------------------------------------------------------------------------------*
* Figure (A4): Falsification tests for alternative instruments 
*---------------------------------------------------------------------------------*
run "figA4a.do"

run "figA4b.do"
